old fart
Prev | O | Next

old fart: n.

  Tribal elder. A title self-assumed with remarkable frequency by (esp.) Usenetters who have been programming for more than about 25 years; often appears in sig blocks attached to Jargon File contributions of great archeological significance. This is a term of insult in the second or third person but one of pride in first person.

Prev | Up | Next
-oid | Home | Old Testament